Win a copy of Securing DevOps this week in the Security forum!

Tim Smith

Greenhorn
+ Follow
since Mar 07, 2001
Cows and Likes
Cows
Total received
0
In last 30 days
0
Total given
0
Likes
Total received
0
Received in last 30 days
0
Total given
0
Given in last 30 days
0
Forums and Threads
Scavenger Hunt
expand Ranch Hand Scavenger Hunt
expand Greenhorn Scavenger Hunt

Recent posts by Tim Smith

What version of JSP has Session.getAttribute method?
17 years ago
I can compile a simple HelloWorld.jsp using v.92 however when I make the switch to v1.00. I have made the change in the rules.properties from
*.jsp = jsp to *.jsp = com.livesoftware.jsp.JSPServlet
and I still get an error.
I get an HTTP 500 Internal Server Error
Actual error is java.lang.NullPointerException: at
com.jclark.xsl.sax.XMLProcessorImpl.load(XMLProcessorImpl.java) at
com.jclark.xsl.sax.XSLProcessorImpl.parse(XSLProcessorImpl.java) at
com.livesoftware.xml.XT.process(XT.java:66) at
com.livesoftware.jsp.JSPCompiler.createServlet(JSPCompiler.java:111) at
com.livesoftware.jsp.JSPServlet.service(JSPServlet.java:95) at
javax.servlet.http.HttpServlet.service(HttpServlet.java, Compiled Code) at
com.livesoftware.jrun.JRun.runServlet(JRun.java, Compiled Code) at
com.livesoftware.jrun.JRunGeneric.handleConnection(JRunGeneric.java,
Compiled Code) at
com.livesoftware.jrun.service.proxy.JRunProxyServiceHandler.handleRequest(JR
unProxyServiceHandler.java, Compiled Code) at
com.livesoftware.jrun.service.ThreadConfigHandler.run(ThreadConfigHandler.ja
va, Compiled Code)
17 years ago
What version of Jrun are you using?
17 years ago
How do you determine what version of JSP you running? I currently use JRun 2.3. Please help!
17 years ago
What does this mean? I don't understand?
17 years ago
Does that mean it will not compile a simple helloworld.jsp using all html?
17 years ago
Can you compile a JSP using IIS 4.0 and Jrun 2.3? Are there any known issues?
17 years ago
The funny thing is the .java file is blank however the xml file looks good. Here is the copy of the xml file.
<?xml version="1.0" ?>
<jsp:root xmlns:jsp="http://java.sun.com/products/jsp/dtd/jsp_1_0.dtd" package="jsp.calcs" name="index"><![CDATA[<HTML>
<HEAD>
<TITLE>
myFirstJsp
</TITLE>
</HEAD>
<BODY>
<H1>
JBuilder Generated JSP
</H1>
</BODY>
</HTML>
]]></jsp:root>
17 years ago
Here is the copy of the code.
<HTML>
<HEAD>
<TITLE>
myFirstJsp
</TITLE>
</HEAD>
<BODY>
<H1>
JBuilder Generated JSP
</H1>
</BODY>
</HTML>
17 years ago
It's pure html? Are there anyother configuration issues I can look at?
17 years ago
I see the error in the error.Log file
17 years ago
It is d:/JRun/lib/sun/jsdk2.1/servlet.jar;
The entire classpath is as follows:
d:/JRun/classes;
d:/JRun/classes/jsafe.jar;
d:/JRun/classes/FTPProtocol.jar;
d:/JRun/jsm-default/classes;
d:/JRun/lib/apache/xerces_1_0_3.jar;
d:/JRun/lib/apache/xalan_1_0_0.jar;
d:/JRun/lib/sun/jsdk2.1/servlet.jar;
d:/JRun/lib/sun/jdk1.2.2/rt.jar;
d:/JRun/lib/sun/jdk1.2.2/i18n.jar;
d:/JRun/lib/sun/jdk1.2.2/tools.jar;
d:/JRun/lib/jrun.jar;
d:/JRun/lib/jrunadmin/jrunadmin.jar;
d:/JRun/lib/jrunadmin/swing.jar;
d:/JRun/lib/jsp.jar;
d:/JRun/classes/mail.jar;
d:/JRun/classes/activation.jar;
d:/JRun/classes/pop3.jar;
d:/JRun/classes/Smtp.jar;
d:/oracle/ora81/jdbc/lib/classes12.zip;
d:/oracle/ora81/jdbc/lib/nls_charset12.zip;
d:/JRun/classes/ChartWorks.jar;
d:/JRun/lib/sun/jsse1.0.2/jsse.jar;
d:/JRun/lib/sun/jsse1.0.2/jnet.jar;
d:/JRun/lib/sun/jsse1.0.2/jcert.jar;
d:/ibm/db2/java/db2java.zip;
d:/ibm/db2/java/sqlj.zip;
d:/ibm/db2/java/runtime.zip;
d:/JRun/lib/xt.jar;
17 years ago
Currently using JRun 2.3 and that has JSP v.92 (I think) Can I upgrade to the new version of JSP?
17 years ago
Using IIS 4.0 and JRun 2.3
It works if I place it under Jrun/jsm-default/services/jse/servlets/jsp however if I place it under inetpub/wwwroot/anydir/helloworld.jsp it will not compile. What is required in the classpath to compile a jsp.
17 years ago